ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.21 by pcg, Sun May 30 17:52:31 2004 UTC vs.
Revision 1.26 by pcg, Fri Mar 18 01:53:05 2005 UTC

269PACKAGE_TARNAME= 269PACKAGE_TARNAME=
270PACKAGE_VERSION= 270PACKAGE_VERSION=
271PACKAGE_STRING= 271PACKAGE_STRING=
272PACKAGE_BUGREPORT= 272PACKAGE_BUGREPORT=
273 273
274ac_unique_file="src/vped.C" 274ac_unique_file="src/gvpe.C"
275# Factoring default headers for most tests. 275# Factoring default headers for most tests.
276ac_includes_default="\ 276ac_includes_default="\
277#include <stdio.h> 277#include <stdio.h>
278#if HAVE_SYS_TYPES_H 278#if HAVE_SYS_TYPES_H
279# include <sys/types.h> 279# include <sys/types.h>
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are: "native/linux" 873 Working combinations are: "native/linux"
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 874 "tincd/linux" "tincd/freebsd" "tincd/openbsd"
875 "tincd/darwin" "native/cygwin"; Untested 875 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "tincd/netbsd" "tincd/solaris" 876 combinations are: "tincd/netbsd" "tincd/solaris"
877 "tincd/mingw"; Broken combinations are: 877 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
878 Broken combinations are: "tincd/cygwin"; The default
878 "tincd/cygwin"; The default is to autodetect. 879 is to autodetect.
879 --enable-static-daemon enable statically linked daemon. 880 --enable-static-daemon enable statically linked daemon.
880 --enable-rohc enable robust header compression (rfc3095). 881 --enable-rohc enable robust header compression (rfc3095).
881 --enable-icmp enable icmp protocol support (default disabled). 882 --enable-icmp enable icmp protocol support (default disabled).
882 --enable-tcp enable tcp protocol support (default disabled). 883 --enable-tcp enable tcp protocol support (default disabled).
883 --enable-dns enable dns tunnel protocol support (DOES NOT WORK). 884 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
1717 fi 1718 fi
1718fi 1719fi
1719 1720
1720 1721
1721# Define the identity of the package. 1722# Define the identity of the package.
1722 PACKAGE=vpe 1723 PACKAGE=gvpe
1723 VERSION=1.7 1724 VERSION=1.8
1724 1725
1725 1726
1726cat >>confdefs.h <<_ACEOF 1727cat >>confdefs.h <<_ACEOF
1727#define PACKAGE "$PACKAGE" 1728#define PACKAGE "$PACKAGE"
1728_ACEOF 1729_ACEOF
7013 7014
7014done 7015done
7015 7016
7016 7017
7017 7018
7019
7018for ac_header in ext/hash_map 7020for ac_header in ext/hash_map clocale
7019do 7021do
7020as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7022as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7021if eval "test \"\${$as_ac_Header+set}\" = set"; then 7023if eval "test \"\${$as_ac_Header+set}\" = set"; then
7022 echo "$as_me:$LINENO: checking for $ac_header" >&5 7024 echo "$as_me:$LINENO: checking for $ac_header" >&5
7023echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 7025echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9744 9746
9745# Check whether --enable-dns or --disable-dns was given. 9747# Check whether --enable-dns or --disable-dns was given.
9746if test "${enable_dns+set}" = set; then 9748if test "${enable_dns+set}" = set; then
9747 enableval="$enable_dns" 9749 enableval="$enable_dns"
9748 9750
9751 if test "${ac_cv_header_gmp_h+set}" = set; then
9752 echo "$as_me:$LINENO: checking for gmp.h" >&5
9753echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9754if test "${ac_cv_header_gmp_h+set}" = set; then
9755 echo $ECHO_N "(cached) $ECHO_C" >&6
9756fi
9757echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9758echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9759else
9760 # Is the header compilable?
9761echo "$as_me:$LINENO: checking gmp.h usability" >&5
9762echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9763cat >conftest.$ac_ext <<_ACEOF
9764/* confdefs.h. */
9765_ACEOF
9766cat confdefs.h >>conftest.$ac_ext
9767cat >>conftest.$ac_ext <<_ACEOF
9768/* end confdefs.h. */
9769$ac_includes_default
9770#include <gmp.h>
9771_ACEOF
9772rm -f conftest.$ac_objext
9773if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9774 (eval $ac_compile) 2>conftest.er1
9775 ac_status=$?
9776 grep -v '^ *+' conftest.er1 >conftest.err
9777 rm -f conftest.er1
9778 cat conftest.err >&5
9779 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9780 (exit $ac_status); } &&
9781 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9782 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9783 (eval $ac_try) 2>&5
9784 ac_status=$?
9785 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9786 (exit $ac_status); }; } &&
9787 { ac_try='test -s conftest.$ac_objext'
9788 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9789 (eval $ac_try) 2>&5
9790 ac_status=$?
9791 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9792 (exit $ac_status); }; }; then
9793 ac_header_compiler=yes
9794else
9795 echo "$as_me: failed program was:" >&5
9796sed 's/^/| /' conftest.$ac_ext >&5
9797
9798ac_header_compiler=no
9799fi
9800rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9801echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9802echo "${ECHO_T}$ac_header_compiler" >&6
9803
9804# Is the header present?
9805echo "$as_me:$LINENO: checking gmp.h presence" >&5
9806echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9807cat >conftest.$ac_ext <<_ACEOF
9808/* confdefs.h. */
9809_ACEOF
9810cat confdefs.h >>conftest.$ac_ext
9811cat >>conftest.$ac_ext <<_ACEOF
9812/* end confdefs.h. */
9813#include <gmp.h>
9814_ACEOF
9815if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9816 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9817 ac_status=$?
9818 grep -v '^ *+' conftest.er1 >conftest.err
9819 rm -f conftest.er1
9820 cat conftest.err >&5
9821 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9822 (exit $ac_status); } >/dev/null; then
9823 if test -s conftest.err; then
9824 ac_cpp_err=$ac_cxx_preproc_warn_flag
9825 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9826 else
9827 ac_cpp_err=
9828 fi
9829else
9830 ac_cpp_err=yes
9831fi
9832if test -z "$ac_cpp_err"; then
9833 ac_header_preproc=yes
9834else
9835 echo "$as_me: failed program was:" >&5
9836sed 's/^/| /' conftest.$ac_ext >&5
9837
9838 ac_header_preproc=no
9839fi
9840rm -f conftest.err conftest.$ac_ext
9841echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9842echo "${ECHO_T}$ac_header_preproc" >&6
9843
9844# So? What about this header?
9845case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9846 yes:no: )
9847 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9848echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9849 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9850echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9851 ac_header_preproc=yes
9852 ;;
9853 no:yes:* )
9854 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9855echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9856 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9857echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9858 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9859echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9860 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9861echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9862 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9863echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9864 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9865echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9866 (
9867 cat <<\_ASBOX
9868## ------------------------------------------ ##
9869## Report this to the AC_PACKAGE_NAME lists. ##
9870## ------------------------------------------ ##
9871_ASBOX
9872 ) |
9873 sed "s/^/$as_me: WARNING: /" >&2
9874 ;;
9875esac
9876echo "$as_me:$LINENO: checking for gmp.h" >&5
9877echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9878if test "${ac_cv_header_gmp_h+set}" = set; then
9879 echo $ECHO_N "(cached) $ECHO_C" >&6
9880else
9881 ac_cv_header_gmp_h=$ac_header_preproc
9882fi
9883echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9884echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9885
9886fi
9887if test $ac_cv_header_gmp_h = yes; then
9888 :
9889else
9890 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9891echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9892 { (exit 1); exit 1; }; }
9893fi
9894
9895
9896
9897echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9898echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9899if test "${ac_cv_lib_gmp_main+set}" = set; then
9900 echo $ECHO_N "(cached) $ECHO_C" >&6
9901else
9902 ac_check_lib_save_LIBS=$LIBS
9903LIBS="-lgmp $LIBS"
9904cat >conftest.$ac_ext <<_ACEOF
9905/* confdefs.h. */
9906_ACEOF
9907cat confdefs.h >>conftest.$ac_ext
9908cat >>conftest.$ac_ext <<_ACEOF
9909/* end confdefs.h. */
9910
9911
9912int
9913main ()
9914{
9915main ();
9916 ;
9917 return 0;
9918}
9919_ACEOF
9920rm -f conftest.$ac_objext conftest$ac_exeext
9921if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9922 (eval $ac_link) 2>conftest.er1
9923 ac_status=$?
9924 grep -v '^ *+' conftest.er1 >conftest.err
9925 rm -f conftest.er1
9926 cat conftest.err >&5
9927 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9928 (exit $ac_status); } &&
9929 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9930 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9931 (eval $ac_try) 2>&5
9932 ac_status=$?
9933 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9934 (exit $ac_status); }; } &&
9935 { ac_try='test -s conftest$ac_exeext'
9936 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9937 (eval $ac_try) 2>&5
9938 ac_status=$?
9939 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9940 (exit $ac_status); }; }; then
9941 ac_cv_lib_gmp_main=yes
9942else
9943 echo "$as_me: failed program was:" >&5
9944sed 's/^/| /' conftest.$ac_ext >&5
9945
9946ac_cv_lib_gmp_main=no
9947fi
9948rm -f conftest.err conftest.$ac_objext \
9949 conftest$ac_exeext conftest.$ac_ext
9950LIBS=$ac_check_lib_save_LIBS
9951fi
9952echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
9953echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
9954if test $ac_cv_lib_gmp_main = yes; then
9955 cat >>confdefs.h <<_ACEOF
9956#define HAVE_LIBGMP 1
9957_ACEOF
9958
9959 LIBS="-lgmp $LIBS"
9960
9961else
9962 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
9963echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
9964 { (exit 1); exit 1; }; }
9965fi
9966
9967
9968
9749cat >>confdefs.h <<_ACEOF 9969cat >>confdefs.h <<_ACEOF
9750#define ENABLE_DNS 1 9970#define ENABLE_DNS 1
9751_ACEOF 9971_ACEOF
9972
9752 9973
9753 9974
9754fi; 9975fi;
9755 9976
9756# Check whether --enable-http-proxy or --disable-http-proxy was given. 9977# Check whether --enable-http-proxy or --disable-http-proxy was given.
9861 10082
9862 10083
9863 10084
9864 10085
9865 10086
9866 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile src/rohc/Makefile doc/Makefile lib/Makefile m4/Makefile" 10087 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
9867 10088
9868cat >confcache <<\_ACEOF 10089cat >confcache <<\_ACEOF
9869# This file is a shell script that caches the results of configure 10090# This file is a shell script that caches the results of configure
9870# tests run on this system so they can be shared between configure 10091# tests run on this system so they can be shared between configure
9871# scripts and configure runs, see configure's option --config-cache. 10092# scripts and configure runs, see configure's option --config-cache.
10450 case "$ac_config_target" in 10671 case "$ac_config_target" in
10451 # Handling of arguments. 10672 # Handling of arguments.
10452 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; 10673 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
10453 "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;; 10674 "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
10454 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 10675 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
10455 "src/rohc/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/rohc/Makefile" ;;
10456 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 10676 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
10457 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;; 10677 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
10458 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;; 10678 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
10459 "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;; 10679 "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
10460 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;; 10680 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines